# $Revision: 1.24 $, $Date: 2005/09/17 11:57:46 $
Summary:	Modern desktop calculator
Summary(pl):	Nowoczesny kalkulator
Name:		qalculate
Version:	0.7.2
Release:	3
License:	GPL
Group:		Applications/Math
Source0:	http://dl.sourceforge.net/qalculate/%{name}-%{version}.tar.gz
# Source0-md5:	75af1f213829fb0905ce6784ee0e1017
Patch0:		%{name}-desktop.patch
URL:		http://qalculate.sourceforge.net/
BuildRequires:	cln-devel >= 1.1.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	intltool
BuildRequires:	libglade2-devel
BuildRequires:	libgnome-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	scrollkeeper >= 0.1.4
Requires(post,postun):	scrollkeeper
Requires:	gnuplot
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Qalculate is a modern multi-purpose desktop calculator. It is small
and simple to use but with much power. Features include arbitrary
precision, plotting, and a graphical interface (GTK+).

%description -l pl
Qalculate jest nowoczesnym, wielozadaniowym kalkulatorem. Jest may i
prosty w uyciu, lecz posiada due moliwoci. Podstawowymi cechami
programu s nieograniczona precyzja, moliwo rysowania wykresw i
graficzny interfejs (GTK+).

%package devel
Summary:	qalculate header files
Summary(pl):	pliki nagwkowe qalculate
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Requires:	libxml2-devel

%description devel
qalculate header files.

%description devel -l pl
Pliki nagwkowe qalculate.

%package static
Summary:	Static qalculate library
Summary(pl):	Statyczna biblioteka qalculate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static qalculate library.

%description static -l pl
Statyczna biblioteka qalculate.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post

%postun
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib%{name}.so.*
%{_desktopdir}/*
%{_datadir}/%{name}*
%{_omf_dest_dir}/%{name}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/libqalculate
%{_libdir}/lib*.la
%{_pkgconfigdir}/libqalculate.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qalculate.spec,v $
Revision 1.24  2005/09/17 11:57:46  arekm
- new readline, 5.0

Revision 1.23  2005/05/09 08:36:03  paladine
- devel and static subpackages (removed TODO)
- rel. 2

Revision 1.22  2005/02/02 18:17:21  grzegol
- updated to 0.7.2

Revision 1.21  2004/12/25 17:40:51  qboosh
- unified

Revision 1.20  2004/11/22 20:44:01  paladine
- updated to 0.7.1

Revision 1.19  2004/10/24 22:49:23  paladine
- QT->Qt
- spelling fixes

Revision 1.18  2004/10/18 20:44:33  undefine
- update to 0.7.0
- still doesn't work on amd64...

Revision 1.17  2004/09/27 17:46:33  paladine
- updated to 0.6.4

Revision 1.16  2004/09/22 01:11:24  ankry
- rel. 3

Revision 1.15  2004/09/21 17:21:47  undefine
- fix desktop entry by Kamil Kosiski <paladine@palanthas.homelinux.org>

Revision 1.14  2004/09/16 16:02:03  blues
- TODO added

Revision 1.13  2004/08/26 00:44:09  havner
- rel 2

Revision 1.12  2004/08/26 00:36:51  havner
- config.sub

Revision 1.11  2004/08/25 21:34:28  grzegol
- updated to 0.6.3

Revision 1.10  2004/07/23 12:51:14  grzegol
- updated to 0.6.2

Revision 1.9  2004/07/12 12:02:11  grzegol
- updated to 0.6.1

Revision 1.8  2004/06/26 23:48:45  grzegol
- updated to 0.6
- added include patch (fixes building)

Revision 1.7  2004/05/13 17:17:34  ankry
- spaces -> tabs, other cosmetics

Revision 1.6  2004/04/07 22:34:57  grzegol
- updated to 0.5.1

Revision 1.5  2004/03/31 20:45:29  grzegol
- updated to 0.5

Revision 1.4  2004/03/12 10:14:17  qboosh
- simplified post, run scrollkeeper-update in postun too

Revision 1.3  2004/03/12 10:00:56  aflinta
- up to version 0.4.2a

Revision 1.2  2004/02/27 15:10:24  grzegol
- updated to 0.4.1

Revision 1.1  2004/02/21 18:59:46  grzegol
- new
